Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 30 Apr 2018 08:38:02 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r333105 - user/pho/stress2/misc
Message-ID:  <201804300838.w3U8c2n5049814@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Mon Apr 30 08:38:01 2018
New Revision: 333105
URL: https://svnweb.freebsd.org/changeset/base/333105

Log:
  Added a new syscall fuzzer. Run a few syscalls as root.
  
  Sponsored by:	Dell EMC Isilon

Added:
  user/pho/stress2/misc/syscall6.sh   (contents, props changed)

Added: user/pho/stress2/misc/syscall6.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/syscall6.sh	Mon Apr 30 08:38:01 2018	(r333105)
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2017 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Run selected syscall fuzz tests as root.
+# No problems seen on HEAD.
+
+. ../default.cfg
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+[ -f /usr/include/sys/syscall.h ] || exit 0
+
+list="mount ktrace unmount"
+
+for i in $list; do
+	num=`grep SYS_$i /usr/include/sys/syscall.h | tail -1 | awk '{print $NF}'`
+	[ -z "$num" ] && { echo "Unknown syscall $i"; continue; }
+	echo "Testing $i ($num)"
+	USE_ROOT=1 sleeptime=18 ../misc/syscall4.sh $num
+done
+exit 0



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201804300838.w3U8c2n5049814>